Bug 1798552 (CVE-2020-8450) - CVE-2020-8450 squid: Buffer overflow in reverse-proxy configurations
Summary: CVE-2020-8450 squid: Buffer overflow in reverse-proxy configurations
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2020-8450
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1798554 1802513 1802515 1836853
Blocks: 1798558
TreeView+ depends on / blocked
 
Reported: 2020-02-05 15:14 UTC by Pedro Sampaio
Modified: 2020-11-04 03:31 UTC (History)
11 users (show)

Fixed In Version: squid 4.10
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-09-30 09:57:19 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2020:4082 None None None 2020-09-30 07:01:05 UTC
Red Hat Product Errata RHSA-2020:4743 None None None 2020-11-04 03:31:58 UTC

Comment 1 Pedro Sampaio 2020-02-05 15:15:18 UTC
Created squid tracking bugs for this issue:

Affects: fedora-all [bug 1798554]

Comment 2 Stefan Cornelius 2020-02-13 10:15:10 UTC
Statement:

Although the squid packages for Red Hat Enterprise Linux 6 through 8 are affected, they are compiled with FORTIFY_SOURCE, which in this case limits the impact of the buffer overflow to an application termination. This only affects deployments acting as reverse proxy with a http_port 'accel' or 'vhost' (squid 2.x and 3.x) or http_port 'accel' configuration (squid 4.x).

Comment 10 errata-xmlrpc 2020-09-30 07:01:02 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2020:4082 https://access.redhat.com/errata/RHSA-2020:4082

Comment 11 Product Security DevOps Team 2020-09-30 09:57:19 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2020-8450

Comment 12 errata-xmlrpc 2020-11-04 03:31:55 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2020:4743 https://access.redhat.com/errata/RHSA-2020:4743


Note You need to log in before you can comment on or make changes to this bug.